#include<guess.h>
int find_number(int MAX){
    int st=1,dr=MAX,rsp;
    while(st<=dr){
        int mij=(st+dr)/2;
        if(smaller(mij)){
            dr=mij-1;
        }
        else{
            st=mij+1;
            rsp=mij;
        }
    }
    return rsp;
}